import path_setting
from in_common.base_request import BaseRequest


class notification_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.UNREAD_CONFIG)

    def unread(self,uqid,trace_id,):
        self.params["uqid"] = uqid
        self.params["trace_id"] = trace_id
        return self.api_send(self.data["unread"])


if __name__ == '__main__':
    print(notification_request().unread("1B519701-A4F5-453E-9D99-140B5AF697A0", "2021/04/22/1722/46cf97b999b0"))
